# module Prism::StringFlags

Flags for string nodes.

### Constants

FORCED_BINARY_ENCODING

  internal bytes forced the encoding to binary

FORCED_UTF8_ENCODING

  internal bytes forced the encoding to UTF-8

FROZEN

  frozen by virtue of a ‘frozen_string_literal: true` comment or `–enable-frozen-string-literal`

MUTABLE

  mutable by virtue of a ‘frozen_string_literal: false` comment or `–disable-frozen-string-literal`